
%define upstream_name       SQL-Statement
%define upstream_version    1.20

Name:       perl-%{upstream_name}
Version:     %{upstream_version}
Release:    %mkrel 10
Summary:	SQL parsing and processing engine
License:	GPL
Group:		Development/Perl
URL:        http://search.cpan.org/dist/%{upstream_name}
Source:     http://www.cpan.org/modules/by-module/SQL/%{upstream_name}-%{upstream_version}.tar.gz
Patch:      SQL-Statement-1.20-fix-tests.patch
BuildRequires:  perl(Clone)
BuildRequires:  perl(Params::Util)
BuildArch:	noarch
Buildroot:	%{_tmppath}/%{name}-%{version}

%description
The SQL::Statement module implements a pure Perl SQL parsing and execution
engine. While it by no means implements full ANSI standard, it does support
many features including column and table aliases, built-in and user-defined
functions, implicit and explicit joins, complexly nested search conditions, and
other features.

%prep 
%setup -q -n %{upstream_name}-%{upstream_version} 
%patch -p 1
# test fails currently
# http://rt.cpan.org/Public/Bug/Display.html?id=47292
rm -f t/05create.t

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make




%install
rm -rf %{buildroot}
%{makeinstall_std}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README Changes
%{perl_vendorlib}/SQL
%exclude %{_mandir}/*/*



%changelog
* Sun Sep 12 2009 pcserver <pcserver at hushmail.com>
-update

